## EDataCal

EDataCal — Implementation of the calendar CORBA client interface.

## Synopsis

    #define             E_DATA_CAL_ERROR
                        EDataCal;
    GError *            e_data_cal_create_error             (EDataCalCallStatus status,
                                                             const gchar *custom_msg);
    GError *            e_data_cal_create_error_fmt         (EDataCalCallStatus status,
                                                             const gchar *custom_msg_fmt,
                                                             ...);
    const gchar *       e_data_cal_status_to_string         (EDataCalCallStatus status);
    #define             e_return_data_cal_error_if_fail     (expr,
                                                             _code)
    EDataCal *          e_data_cal_new                      (ECalBackend *backend,
                                                             ESource *source);
    guint               e_data_cal_register_gdbus_object    (EDataCal *cal,
                                                             GDBusConnection *connection,
                                                             const gchar *object_path,
                                                             GError **error);
    ECalBackend *       e_data_cal_get_backend              (EDataCal *cal);
    ESource *           e_data_cal_get_source               (EDataCal *cal);

## Object Hierarchy

      GObject
       +----EDataCal

## Description

## Details

### E_DATA_CAL_ERROR

    #define E_DATA_CAL_ERROR e_data_cal_error_quark ()

Since 2.30

### EDataCal

    typedef struct _EDataCal EDataCal;

### e_data_cal_create_error ()

    GError *            e_data_cal_create_error             (EDataCalCallStatus status,
                                                             const gchar *custom_msg);

`status` : |
`custom_msg` : |
Returns : |

Since 2.32

### e_data_cal_create_error_fmt ()

    GError *            e_data_cal_create_error_fmt         (EDataCalCallStatus status,
                                                             const gchar *custom_msg_fmt,
                                                             ...);

`status` : |
`custom_msg_fmt` : |
`...` : |
Returns : |

Since 2.32

### e_data_cal_status_to_string ()

    const gchar *       e_data_cal_status_to_string         (EDataCalCallStatus status);

`status` : |
Returns : |

Since 2.32

### e_return_data_cal_error_if_fail()

    #define             e_return_data_cal_error_if_fail(expr, _code)

`expr` : |
`_code` : |

Since 2.32

### e_data_cal_new ()

    EDataCal *          e_data_cal_new                      (ECalBackend *backend,
                                                             ESource *source);

`backend` : |
`source` : |
Returns : |

### e_data_cal_register_gdbus_object ()

    guint               e_data_cal_register_gdbus_object    (EDataCal *cal,
                                                             GDBusConnection *connection,
                                                             const gchar *object_path,
                                                             GError **error);

Registers GDBus object of this EDataCal.

`cal` : |
`connection` : |
`object_path` : |
`error` : |
Returns : |

Since 2.32

### e_data_cal_get_backend ()

    ECalBackend *       e_data_cal_get_backend              (EDataCal *cal);

`cal` : |
Returns : |

### e_data_cal_get_source ()

    ESource *           e_data_cal_get_source               (EDataCal *cal);

Returns the ESource for `cal`.

`cal` : | an EDataCal
Returns : | the ESource for `cal`

Since 2.30